.block.featurebox-grid header.block-header + .block-header-text{margin-bottom:var(--us-block-gap);}

.featurebox-grid .feature-box{container-type:inline-size;container-name:feature-box;}
.featurebox-grid .feature-box h3{color:var(--us-primary-color);}
.featurebox-grid .feature-box .teaser-text{color:inherit;font-size:.85em;color:var(--us-text-weak)!important;}

.featurebox-grid .teaser-icon{display:grid;place-items:center;line-height:1;color:var(--us-primary-color);font-size:1.5rem;aspect-ratio:1/1;flex-shrink:0;}
.featurebox-grid.no-icon .teaser-icon{display:none!important;}
.featurebox-grid.icon-large .teaser-icon{font-size:2.25rem;}
.featurebox-grid.icon-left .feature-box{display:flex;flex-direction:row;align-items:flex-start;gap:var(--us-gap);}
.featurebox-grid.icon-top .feature-box{display:flex;flex-direction:column;row-gap:var(--us-gap);}

.featurebox-grid.icon-box .teaser-icon{aspect-ratio:1/1;width:2.5em;background:var(--us-primary-color);color:#FFFFFF;border-radius:var(--us-radius);box-shadow:inset 0 0 0 1px var(--us-hairline-color,rgba(0,0,0,.1));}
.featurebox-grid.items-boxed .teaser-icon,
.featurebox-grid.items-boxed.icon-box .teaser-icon{border-radius:var(--us-inner-radius);min-width:48px;}
.featurebox-grid.icon-box .teaser-icon.ar-16-9{aspect-ratio:16/9;width:3.5em;}

.featurebox-grid:not(.icon-box) .teaser-icon{background:none;}

.featurebox-grid.items-boxed .feature-box{background:var(--us-bg-gradation);border-radius:var(--us-radius);padding:16px;border:1px solid var(--us-hairline-color,rgba(0,0,0,.1));box-shadow:inset 0 1px 0 0 var(--us-hairline-inverted, rgba(255,255,255,.1));}
.featurebox-grid.items-boxed .feature-box{gap:16px;}

@media (min-width:1024px){
    .featurebox-grid .block-grid{gap:var(--us-block-gap,32px);}
    .featurebox-grid.items-boxed .block-grid{gap:var(--us-gap,32px);}

    .featurebox-grid.items-boxed .feature-box{gap:24px!important;padding:24px!important;}
}

@container feature-box (max-width:420px){.featurebox-grid.icon-large .teaser-icon{font-size:28px;}.featurebox-grid.text-cropped .teaser-text{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;overflow:hidden;}}
@container feature-box (min-width:421px) and (max-width:460px){.featurebox-grid.icon-large .teaser-icon{font-size:36px;}.featurebox-grid.text-cropped .teaser-text{display:-webkit-box;-webkit-line-clamp:3;-webkit-box-orient:vertical;overflow:hidden;}}
@container feature-box (min-width:461px){.featurebox-grid.icon-large .teaser-icon{font-size:48px;}.featurebox-grid.text-cropped .teaser-text{display:-webkit-box;-webkit-line-clamp:4;-webkit-box-orient:vertical;overflow:hidden;}}
@container feature-box (max-width:460px){.featurebox-grid h3{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;overflow:hidden;}}
